﻿using System;
using System.Collections.Specialized;
using System.ComponentModel.DataAnnotations;
using System.Web.DynamicData;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace ImageSupportDemo
{
  public partial class Decimal_EditField : System.Web.DynamicData.FieldTemplateUserControl
  {
    protected void Page_Load(object sender, EventArgs e)
    {
      TextBox1.ToolTip = Column.Description;

      SetUpValidator(RequiredFieldValidator1);
      SetUpValidator(CompareValidator1);
      SetUpValidator(RegularExpressionValidator1);
      SetUpValidator(RangeValidator1);
      SetUpValidator(DynamicValidator1);
    }

    protected override void ExtractValues(IOrderedDictionary dictionary)
    {
      dictionary[Column.Name] = ConvertEditedValue(TextBox1.Text);
    }

    public override Control DataControl
    {
      get
      {
        return TextBox1;
      }
    }

  }
}
